Bug 1568897 - [RFE][CEE/SD] change "osd_max_markdown_count" dout level from (10) -> (0) for RHCS 2.y version
Summary: [RFE][CEE/SD] change "osd_max_markdown_count" dout level from (10) -> (0) for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z1
: 2.5
Assignee: Josh Durgin
QA Contact: ceph-qe-bugs
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1536401
TreeView+ depends on / blocked
 
Reported: 2018-04-18 11:53 UTC by Tomas Petr
Modified: 2018-07-26 18:07 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-10.2.10-22.el7cp Ubuntu: ceph_10.2.10-19redhat1
Doc Type: Enhancement
Doc Text:
OSDs now log when they shutdown due to disk operations timing out by default.
Clone Of:
Environment:
Last Closed: 2018-07-26 18:06:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github 21747 None None None 2020-09-30 02:58:21 UTC
Red Hat Product Errata RHSA-2018:2261 None None None 2018-07-26 18:07:49 UTC

Description Tomas Petr 2018-04-18 11:53:52 UTC
Description of problem:
If possible, change the dout level of "osd_max_markdown_count" from (10) -> (0),
 - that will also match with upstream "master" and  downstream  "RHCS 3":

From ceph-10.2.10/src/osd/OSD.cc:

   7021         if ((int)osd_markdown_log.size() > g_conf->osd_max_markdown_count) {
   7022           dout(10) << __func__ << " marked down "
   7023                    << osd_markdown_log.size()
   7024                    << " > osd_max_markdown_count "
   7025                    << g_conf->osd_max_markdown_count
   7026                    << " in last " << grace << " seconds, shutting down"
   7027                    << dendl;
   7028           do_restart = false;
   7029           do_shutdown = true;

To:
   7021         if ((int)osd_markdown_log.size() > g_conf->osd_max_markdown_count) {
   7022           dout(0) << __func__ << " marked down "
   7023                    << osd_markdown_log.size()
   7024                    << " > osd_max_markdown_count "
   7025                    << g_conf->osd_max_markdown_count
   7026                    << " in last " << grace << " seconds, shutting down"
   7027                    << dendl;
   7028           do_restart = false;
   7029           do_shutdown = true;


Reason: will make our life a lot easier =D
  - in ceph-osd.log with default logging level will show this was a reason for osd to terminate (gracefully suicide) itself

Target: next RHCS 2.x release

Version-Release number of selected component (if applicable):
RHCS 2.5

Comment 4 Vikhyat Umrao 2018-04-30 20:07:25 UTC
jewel upstream backport: https://github.com/ceph/ceph/pull/21747

Comment 6 Vikhyat Umrao 2018-05-24 21:07:45 UTC
(In reply to Vikhyat Umrao from comment #4)
> jewel upstream backport: https://github.com/ceph/ceph/pull/21747

Merged Upstream.

Comment 7 Josh Durgin 2018-06-26 16:40:13 UTC
added to ceph-2-rhel-patches

Comment 16 errata-xmlrpc 2018-07-26 18:06:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2261


Note You need to log in before you can comment on or make changes to this bug.